Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# Server_Info Struct Reference

Information about IMR registered servers. More...

`#include <Server_Info.h>`

Collaboration diagram for Server_Info:

[legend]
List of all members.

## Public Member Functions
| Server_Info (const ACE_CString &server_name, const ACE_CString &aname, const ACE_CString &cmdline, const ImplementationRepository::EnvironmentList &env, const ACE_CString &working_dir, ImplementationRepository::ActivationMode amode, int start_limit, const ACE_CString &partial_ior=ACE_CString(""), const ACE_CString &server_ior=ACE_CString(""), ImplementationRepository::ServerObject_ptr svrobj=ImplementationRepository::ServerObject::_nil())
ImplementationRepository::ServerInformation * | createImRServerInfo ()
| Convert to the corba type.
void | reset ()
## Public Attributes
ACE_CString | name
| The name of the server.
ACE_CString | activator
| The name of the activator in which this server runs.
ACE_CString | cmdline
| The command line startup command (program and arguments).
ImplementationRepository::EnvironmentList | env_vars
| Environment Variables.
ACE_CString | dir
| The working directory.
ImplementationRepository::ActivationMode | activation_mode
| The type of activation this supports.
int | start_limit
| Limit of retries to start the server.
ACE_CString | partial_ior
| Current endpoint used by the server.
ACE_CString | ior
| IOR of the server object in the server.
ACE_Time_Value | last_ping
| The timestamp of the last time we verified the server is alive.
ImplementationRepository::ServerObject_var | server
| The cached server object.
int | start_count
int | waiting_clients
bool | starting

## Detailed Description

Information about IMR registered servers.

## Constructor & Destructor Documentation

Server_Info::Server_Info | ( | const ACE_CString & | server_name,
|  | const ACE_CString & | aname,
|  | const ACE_CString & | cmdline,
|  | const ImplementationRepository::EnvironmentList & | env,
|  | const ACE_CString & | working_dir,
|  | ImplementationRepository::ActivationMode | amode,
|  | int | start_limit,
|  | const ACE_CString & | partial_ior = `ACE_CString("")`,
|  | const ACE_CString & | server_ior = `ACE_CString("")`,
|  | ImplementationRepository::ServerObject_ptr | svrobj = `ImplementationRepository::ServerObject::_nil()`
| ) |

## Member Function Documentation

ImplementationRepository::ServerInformation * Server_Info::createImRServerInfo | ( |  | ) |

| Convert to the corba type.

void Server_Info::reset | ( |  | ) |

## Member Data Documentation

ImplementationRepository::ActivationMode Server_Info::activation_mode

| The type of activation this supports.

ACE_CString Server_Info::activator

| The name of the activator in which this server runs.

ACE_CString Server_Info::cmdline

| The command line startup command (program and arguments).

ACE_CString Server_Info::dir

| The working directory.

ImplementationRepository::EnvironmentList Server_Info::env_vars

| Environment Variables.

ACE_CString Server_Info::ior

| IOR of the server object in the server.

ACE_Time_Value Server_Info::last_ping

| The timestamp of the last time we verified the server is alive.

ACE_CString Server_Info::name

| The name of the server.

ACE_CString Server_Info::partial_ior

| Current endpoint used by the server.

ImplementationRepository::ServerObject_var Server_Info::server

| The cached server object.

int Server_Info::start_count

int Server_Info::start_limit

| Limit of retries to start the server.

bool Server_Info::starting

int Server_Info::waiting_clients

The documentation for this struct was generated from the following files:

- Server_Info.h
- Server_Info.cpp